function [detect_out] = cfar_os_filt(param_struct, input_data)
% Fast Implementation of Order Statistic CFAR

train_filt_1d = [ones(param_struct.num_train,1);zeros(param_struct.num_guard,1);...
                    0;...
                zeros(param_struct.num_guard,1);ones(param_struct.num_train,1)...
                ]/(2*param_struct.num_train);
            
train_filt_out = ordfilt2(input_data,param_struct.order,train_filt_1d,'symmetric');

% plot(input_data);hold on;plot(train_filt_out);hold off;
        
truth_detect = (input_data > (param_struct.thresh.*train_filt_out));
input_data(truth_detect) = 1;
input_data(~truth_detect) = 0;

detect_out = input_data;
end


