function [plot_vars,ptcloud_new] = feat_det2pc(detout, radar,feat_det_param)

    radar.fftData_filt = radar.fftData.*(detout.');
    [fft_row,fft_col] = ind2sub(size(radar.fftData_filt),find(detout.'));
    
    % Convert to cartesian
    cart_img = RadarPolarToCartesian( ...
        radar.azimuths, radar.fftData, radar.radarResolution, feat_det_param.cart_resolution, ...
        feat_det_param.cart_pixel_size, feat_det_param.interpolate_crossover);
    
    cart_img_filt = RadarPolarToCartesian( ...
        radar.azimuths, radar.fftData_filt, radar.radarResolution, feat_det_param.cart_resolution, ...
        feat_det_param.cart_pixel_size, feat_det_param.interpolate_crossover);
    
    % Point Cloud Conversion
    [ptcloud_new,cart_row,cart_col] = img2pcloud(cart_img_filt, feat_det_param.cart_pixel_size,...
                                                            feat_det_param.param_img2pcloud);
                                                        
     if(feat_det_param.plot_flag)
        
         plot_vars.fft_row = fft_row;
         plot_vars.fft_col = fft_col;
         plot_vars.cart_row = cart_row;
         plot_vars.cart_col = cart_col;
         plot_vars.cart_img = cart_img;
         plot_vars.cart_img_filt = cart_img_filt;
     
     else
         plot_vars = [];
         
         
     end


end