function [] = showAll(trueTrack,estimatedTrack,measurements,parameters,mode)
numSteps = size(trueTrack,2);
areaSize = parameters.areaSize;

fig1 = figure(1);
set(fig1, 'Position', [50, 50, 1024, 576]);
for step = 2:numSteps
    
    if(mode == 0)
        tmp = numSteps;
    else
        tmp = step;
    end
    
    currentMeasurements = measurements{step};
    
    % convert range bearing measurements to Cartesian coordinates
    if(isfield(parameters, 'sensorPosition'))
        sensorPosition = parameters.sensorPosition;
        currentMeasurements = [sensorPosition(1) + currentMeasurements(1,:).*sind(currentMeasurements(2,:)); sensorPosition(2) + currentMeasurements(1,:).*cosd(currentMeasurements(2,:))];
    end
    
    % show agent track
    plot(trueTrack(1,1:tmp),trueTrack(2,1:tmp),'linewidth',1.5,'color',[0,0,1]);
    hold on
    plot(estimatedTrack(1,1:tmp),estimatedTrack(2,1:tmp),'linewidth',1.5,'color',[1,0,0]);
    scatter(currentMeasurements(1,:),currentMeasurements(2,:),250,[0,0.3,0],'.')
    scatter(trueTrack(1,tmp),trueTrack(2,tmp),250,[0,0,1],'.')
    scatter(estimatedTrack(1,tmp),estimatedTrack(2,tmp),250,[1,0,0],'.')
    
    
    % set axis
    axis([areaSize(1,1) areaSize(1,2) areaSize(2,1) areaSize(2,2)])
    pbaspect([1 1 1])
    
    legend({'True Track','Estimated Track','Measurements'},'FontSize',14)
    hold off
    
    if(mode == 0)
        break
    elseif(mode == 2)
        pause
    else
        pause(0.001)
    end
    
end


end

