

%% Creating Options for solver

pda_param.knn = 8;
% Solver Options
% Create using optimoptions(@lsqnonlin)
% x = lsqcurvefit(fun,x0,xdata,ydata)
pda_param.solver_options = optimoptions(@lsqnonlin);
% pda_param.solver_options
pda_param.solver_options.Algorithm = 'levenberg-marquardt';
pda_param.solver_options.Display = 'none'; % iter-detailed
pda_param.solver_options.StepTolerance = 1e-2;
% pda_param.solver_options.TypicalX = [];
pda_param.solver_options

%% CA CFAR FILTERING

input_vec = abs(normrnd(0,0.1,501,501));
% input_vec = zeros(100,1);

input_vec(251,300:310) = 1;
input_vec(251:261,300) = 1;
% input_vec(83) = 1;


param_struct.num_train = 50;
param_struct.num_guard = 20;
param_struct.thresh = 10;
[detect_out] = cfar_ca_filt(param_struct, input_vec);


% plot(input_vec);ylim([-1 1]);
% hold on
% plot(detect_out)
% hold off

imagesc(detect_out);
hold on
hold off

%% OS CFAR FILTERING


input_vec = abs(normrnd(0,0.1,501,501));
% input_vec = abs(normrnd(0,0.1,501,1));
% input_vec = zeros(100,1);

input_vec(251,300:310) = 1;
input_vec(251:261,300) = 1;
% input_vec(250) = 1;


param_struct.num_train = 50;
param_struct.num_guard = 20;
param_struct.order = 50;

param_struct.thresh = 10;

tic
[detect_out] = cfar_os_filt(param_struct, input_vec);
toc

% plot(input_vec);ylim([-1 1]);
% hold on
% plot(detect_out)
% hold off

imagesc(detect_out);
hold on
hold off